> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Secret Rares



## OpenAPI

````yaml cherrytree/openapi.json get /secretrares
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /secretrares:
    get:
      summary: Secret Rares
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SecretRares'
components:
  schemas:
    SecretRares:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              itemId:
                type: number
              itemName:
                type: string
              secretDrops:
                type: array
                items:
                  type: object
                  properties:
                    chance:
                      type: number
                    chanceText:
                      type: string
                    chanceWithMaxWw:
                      type: number
                    chanceWithMaxWwText:
                      type: string
                    chanceWithMaxWwAndBC65:
                      type: number
                    chanceWithMaxWwAndBC65Text:
                      type: string
                    chanceWithMaxWwAndBC65AndRingOfSecrets:
                      type: number
                    chanceWithMaxWwAndBC65AndRingOfSecretsText:
                      type: string
                    chanceWithSoulReaperPotion:
                      type: number
                    chanceWithSoulReaperPotionText:
                      type: string
                    impactedByWishingWell:
                      type: boolean
                    conditions:
                      type: array
                      items:
                        type: string
                  required:
                    - chance
                    - chanceText
                    - impactedByWishingWell
                    - conditions
            required:
              - id
              - itemName
              - secretDrops
      required:
        - total
        - results

````